summaryrefslogtreecommitdiffstats
path: root/deps/strigi/strigi.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
commitb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (patch)
treed393ca76dae97b64e8de58184a15f60ca1a7412a /deps/strigi/strigi.SlackBuild
parentf0e6e91722ec10bf7aa6a4bf53d1aedd8aee4c74 (diff)
downloadktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.gz
ktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.xz
KDE 5 for Slackware current (post-14.1) (16sep2014)5
The KDE 5 Software Compilation no longer exists as such. The components are now: - Frameworks 5.2.0 - Plasma 5.0.2 These packages need to be installed on top of the most recent KDE 4.14.x because Applications tarballs which build on top of Frameworks and Plasma have not yet been released.
Diffstat (limited to '')
-rwxr-xr-xdeps/strigi/strigi.SlackBuild (renamed from deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild)34
1 files changed, 25 insertions, 9 deletions
diff --git a/deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild b/deps/strigi/strigi.SlackBuild
index af2aaeb..69c248a 100755
--- a/deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild
+++ b/deps/strigi/strigi.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-# Copyright 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
-#
+
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
@@ -20,9 +21,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified 2012, 2014 by Eric Hameleers <alien at slackware.com> for ARM port.
-PKGNAM=shared-desktop-ontologies
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
+PKGNAM=strigi
+VERSION=${VERSION:-0.7.8}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -58,7 +61,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/$PKGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -66,6 +69,18 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+
+#zcat $CWD/strigi-fix-ftbfs-with-gcc-4.7.diff.gz |patch -p1 --verbose || exit 1
+
+# Fix a linker DSO error:
+zcat $CWD/strigi-fix-missing-lucene-lib.diff.gz |patch -p1 --verbose || exit 1
+
+# Fix indexing of jpegs with 'wrong' isoSpeedRatings:
+zcat $CWD/strigi-fix-jpeg-isospeedratings.diff.gz |patch -p1 --verbose || exit 1
+
+# Fix a bug with gcc 4.8:
+sed -i -e "s/BufferedStream :/STREAMS_EXPORT &/" libstreams/include/strigi/bufferedstream.h
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -78,12 +93,13 @@ cd build
QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
PATH=$QTDIR/bin:$PATH \
cmake \
- $KDE_OPT_ARGS \
+ -DENABLE_INOTIFY:BOOL=ON \
+ -DENABLE_DBUS:BOOL=ON \
+ -DENABLE_EXPAT:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
- -DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
make $NUMJOBS || make || exit 1
@@ -95,7 +111,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS LICENSE* README \
+ AUTHORS COPYING NEWS README TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history